Bug 13314 - Fixes to .mailmap for the 3.18 release
Summary: Fixes to .mailmap for the 3.18 release
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-20 17:50 UTC by Tomás Cohen Arazi
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13314: fixes to the .mailmap file (2.01 KB, patch)
2014-11-20 17:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: Fridolin and Simith fixes to the .mailmap file (2.09 KB, patch)
2014-11-20 18:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: Holger Meissner needs a mapping (2.26 KB, patch)
2014-11-20 18:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: Fridolin and Simith fixes to the .mailmap file (2.21 KB, patch)
2014-11-23 11:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13314: Holger Meissner needs a mapping (2.36 KB, patch)
2014-11-23 11:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13314: [QA Follow-up]: Add another line for Fridolin to .mailmap (1.11 KB, patch)
2014-11-23 11:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 13314: Fridolin and Simith fixes to the .mailmap file (2.22 KB, patch)
2014-11-23 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13314: Holger Meissner needs a mapping (2.38 KB, patch)
2014-11-23 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13314: [QA Follow-up]: Add another line for Fridolin to .mailmap (1.27 KB, patch)
2014-11-23 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13314: attribute Oslo Public Library (1.32 KB, patch)
2014-11-24 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: OPL followup - Petter Goksoyr Asen (1.23 KB, patch)
2014-11-24 13:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: OPL followup - Benjamin Rokseth (1.75 KB, patch)
2014-11-24 13:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: attribute Oslo Public Library (2.66 KB, patch)
2014-11-24 14:07 UTC, Magnus Enger
Details | Diff | Splinter Review
[PASSED QA] Bug 13314: attribute Oslo Public Library (2.72 KB, patch)
2014-11-24 20:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13314: (QA followup) fix for Maxime Beaulieu (942 bytes, patch)
2014-11-24 23:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: (QA followup) fix for Charles Farmer (939 bytes, patch)
2014-11-24 23:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: (QA followup) fix for inLibro (1.54 KB, patch)
2014-11-25 17:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: (QA followup) fixes for CINECA (1.40 KB, patch)
2014-11-25 17:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13314: Follow-up for m.de.rooy in .mailmap (1.54 KB, patch)
2014-11-26 12:46 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 13314: Follow-up for m.de.rooy in .mailmap (1.56 KB, patch)
2014-11-26 14:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2014-11-20 17:50:56 UTC
If you run:

git log --pretty=short v3.16.00..HEAD | git shortlog -s | sort -k3 -

you will notice 'simith' and two different Fridolin's. There's a need for a patch that adds the right mappings to .mailmap.
Comment 1 Tomás Cohen Arazi 2014-11-20 17:54:50 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-11-20 18:29:27 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2014-11-20 18:29:35 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2014-11-23 11:28:30 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2014-11-23 11:28:39 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2014-11-23 11:28:45 UTC Comment hidden (obsolete)
Comment 7 Marcel de Rooy 2014-11-23 11:31:32 UTC
I am not sure if commit dd16887ee71e45fc28e21180bbd799d49d1326df did something to mailmap that somewhere else creates a problem? The git statistics on http://git.koha-community.org/stats/koha-master/authors.html do not seem to be updated anymore? Could be something else too?

The patches here are fine for git shortlog though.
Comment 8 Marcel de Rooy 2014-11-23 11:36:32 UTC
(In reply to M. de Rooy from comment #7)
> I am not sure if commit dd16887ee71e45fc28e21180bbd799d49d1326df did
> something to mailmap that somewhere else creates a problem? 

The second patch of this report restores the sort order (by moving the gonzaleze entry) of the third section. Maybe that is enough to resolve the problem mentioned?
Comment 9 Katrin Fischer 2014-11-23 12:08:12 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-11-23 12:08:16 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2014-11-23 12:08:18 UTC Comment hidden (obsolete)
Comment 12 Tomás Cohen Arazi 2014-11-23 12:41:12 UTC
> Tested by generating the release notes. I noticed that
> the 'company' list often has a domain name instead
> of a company name, maybe something for another patch.

I fix that on the release-tools scripts. That's why i asked for company names on the list.
Comment 13 Tomás Cohen Arazi 2014-11-23 13:23:22 UTC
Patches pushed to master.
Comment 14 Tomás Cohen Arazi 2014-11-24 13:11:15 UTC Comment hidden (obsolete)
Comment 15 Tomás Cohen Arazi 2014-11-24 13:33:59 UTC Comment hidden (obsolete)
Comment 16 Tomás Cohen Arazi 2014-11-24 13:57:37 UTC Comment hidden (obsolete)
Comment 17 Magnus Enger 2014-11-24 14:07:32 UTC Comment hidden (obsolete)
Comment 18 Katrin Fischer 2014-11-24 20:47:54 UTC Comment hidden (obsolete)
Comment 19 Tomás Cohen Arazi 2014-11-24 23:37:39 UTC Comment hidden (obsolete)
Comment 20 Tomás Cohen Arazi 2014-11-24 23:49:21 UTC Comment hidden (obsolete)
Comment 21 Tomás Cohen Arazi 2014-11-25 17:47:25 UTC Comment hidden (obsolete)
Comment 22 Tomás Cohen Arazi 2014-11-25 17:52:26 UTC Comment hidden (obsolete)
Comment 23 Marcel de Rooy 2014-11-26 12:46:01 UTC Comment hidden (obsolete)
Comment 24 Marcel de Rooy 2014-11-26 12:46:21 UTC
Another one for you, Tomas :)
Comment 25 Tomás Cohen Arazi 2014-11-26 14:13:45 UTC Comment hidden (obsolete)